Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.web.tag
Class DateTagSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.web.tag.AbstractInputTagSupport
              com.bea.web.tag.DateTagSupport

All Implemented Interfaces:
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class DateTagSupport

extends AbstractInputTagSupport
implements Serializable

Provides the rendering logic for an HTML form field that accepts date values only. In addition, each instance of this class uses an instance of `com.bea.web.validation.DateWord` to perform runtime validation of the value for this field. This class places an DateWord instance in application scope, i.e. accessible via the ServletContext object. The ServletContext is shared by all servlets in a Web application. Consequently, the controller servlet can access the DateWord to validate user input passed in the HTTP request for this form field.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DateTagSupport()` Default constructor, all subclasses of `javax.servlet.jsp.tagext.TagSupport` are required to only define a public constructor with the same signature, and to call the superclass constructor.

Method Summary
`int` | `doStartTag()` Prints the tag to the JSP writer.
`void` | `release()` Resets the internal state of this instance.
`void` | `setFormat(String strFormat)`
`void` | `setLenient(boolean bIsLenient)`

Methods inherited from class com.bea.web.tag.AbstractInputTagSupport
`getAttrs, getDefault, getMaxlength, getName, getSize, isRequired, printError, setAttrs, setDefault, setMaxlength, setName, setRequired, setSize`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateTagSupport

    public DateTagSupport()

  Default constructor, all subclasses of `javax.servlet.jsp.tagext.TagSupport` are required to only define a public constructor with the same signature, and to call the superclass constructor.

Method Detail

### setLenient

    public final void setLenient(boolean bIsLenient)

### setFormat

    public final void setFormat(String strFormat)

### doStartTag

    public int doStartTag()

  Prints the tag to the JSP writer.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Returns:
    `javax.servlet.jsp.tagext.Tag.SKIP_BODY` to indicate to the tag handler to skip body evaluation.

### release

    public void release()

  Resets the internal state of this instance. This is called after this tag has rendered itself in the `doStartTag` method. This is needed because the tag handler will reuse this instance for every int tag on the page.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `AbstractInputTagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD